---
title: Shared webhosting
description: Install ThemeParkPanel on shared webhosting.
published: true
date: 2022-08-28T18:25:15.981Z
tags: 
editor: markdown
dateCreated: 2022-08-28T18:04:31.507Z
---

# Shared Webhosting
This guide will guide you through the installation of ThemeParkPanel on a shared webhosting.

*It assumes your hosting is using DirectAdmin. If your hosting does not use DirectAdmin, please ask your hosting to do specific things if you are unsure.*

## 1. MySQL database

1. Click on `MySQL Management` under **Account Manager** in the left sidebar.
2. Click on `Create New Database` on the right sidebar.

![Control Panel buttons](/screenshot_108.png =95%x)

3. Fill in the details. Think of a name for the database and user, like `themeparkpanel`. It's recommended to generate a strong password.

![Filling in Database details](/screenshot_109.png)

> **Make sure to safe the entered details somewhere, because you need them later!**
{.is-info}

4. **Click on the name of the database.** Then add `%` to the **Access Hosts**. Click on **Add New**. This makes sure your Minecraft server can also access the database.

![Adding Access Host](/download_(7).png)

5. Open phpMyAdmin (most of the time this can be found under **Extra Features** in the sidebar). Click on the name of your database in the sidebar. Then click on **Import** in the top menu. Click on **Choose file** and upload the provided `ThemeParkPanel.sql` file. Finish by clicking on **Import**.

![screenshot_110.png](/screenshot_110.png =60%x)

## 2. Uploading the files